Package web2py :: Package gluon :: Module globals :: Class Request

[hide private]
[frames] | no frames]

# Class Request

source code

     object --+
              |
           dict --+
                  |
    storage.Storage --+
                      |
                     Request

    defines the request object and the default values of its members

    - env: environment variables, by gluon.main.wsgibase()
    - cookies
    - get_vars
    - post_vars
    - vars
    - folder
    - application
    - function
    - args
    - extension
    - now: datetime.datetime.today()
    - restful()

Instance Methods | [hide private]

__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code

compute_uuid(self) | source code

user_agent(self) | source code

requires_https(self) If request comes in over HTTP, redirect it to HTTPS and secure the session. | source code

restful(self) | source code

Inherited from `storage.Storage`: `__delattr__`, `__getattr__`, `__getitem__`, `__getstate__`, `__repr__`, `__setattr__`, `__setstate__`, `getfirst`, `getlast`, `getlist`

Inherited from `dict`: `__cmp__`, `__contains__`, `__delitem__`, `__eq__`, `__ge__`, `__getattribute__`, `__gt__`, `__hash__`, `__iter__`, `__le__`, `__len__`, `__lt__`, `__ne__`, `__new__`, `__setitem__`, `clear`, `copy`, `fromkeys`, `get`, `has_key`, `items`, `iteritems`, `iterkeys`, `itervalues`, `keys`, `pop`, `popitem`, `setdefault`, `update`, `values`

Inherited from `object`: `__reduce__`, `__reduce_ex__`, `__str__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Returns:

      new empty dictionary

Overrides: dict.__init__
  (inherited documentation)